%define major 2
%define lib_name %mklibname agg %{major}
%define devel_name %mklibname agg -d

Summary: 	Open Source, free of charge graphic library
Name: 		libagg
Version: 	2.5
Release: 	%mkrel 13
Group: 		System/Libraries
License: 	AGG License
URL: 		http://www.antigrain.com/
Source:		http://www.antigrain.com/agg-%{version}.tar.gz
Patch0:		agg-2.5-linkage_fix.diff
Patch1:		agg-2.5-automake-1.12.patch
Patch2:		agg-2.5-drop-rpath.patch
BuildRequires:	libx11-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	SDL-devel

%description
Anti-Grain Geometry (AGG) is an Open Source, free of charge graphic library, 
written in industrially standard C++. The terms and conditions of use AGG 
are described on The License page. AGG doesn't depend on any graphic API or 
technology. Basically, you can think of AGG as of a rendering engine that 
produces pixel images in memory from some vectorial data.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{devel_name}
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: agg-devel = %{version}-%{release}

%description -n %{devel_name}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -qn agg-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
touch NEWS README AUTHORS

%build
autoreconf -fi
%define _disable_ld_no_undefined 1
%configure2_5x --datadir=%{_datadir} --disable-static --disable-examples
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%_libdir/*.so.%{major}*

%files -n %{devel_name}
%_includedir/agg2
%_datadir/aclocal/*.m4
%_libdir/*.so
%_libdir/pkgconfig/libagg.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.5-13.mga4
+ Revision: 521876
- Mageia 4 Mass Rebuild

* Mon Jan 28 2013 fwang <fwang> 2.5-12.mga3
+ Revision: 392948
- disable as needed
- disable examples
- disable rpath
- finally fix linkage

* Sat Jan 12 2013 umeabot <umeabot> 2.5-11.mga3
+ Revision: 356790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 fwang <fwang> 2.5-10.mga3
+ Revision: 275195
- cleanup spec and drop .la file

* Sat Apr 02 2011 pterjan <pterjan> 2.5-9.mga1
+ Revision: 79793
- Do not own /usr/lib/pkgconfig/

* Sun Feb 20 2011 eandry <eandry> 2.5-8.mga1
+ Revision: 54645
- drop obsoletes conditional
- move .a and .la files to devel package
- bump release for upgrade
- imported package libagg


* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 2.5-7mdv2011.0
+ Revision: 570188
- Rebuild

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.5-6mdv2010.0
+ Revision: 438513
- rebuild

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5-5mdv2009.1
+ Revision: 301072
- fix linkage
- rebuilt against new libxcb

  + Emmanuel Andry <eandry@mandriva.org>
    - apply devel policy
    - remove old conditional
    - check major

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.5-2mdv2008.1
+ Revision: 170940
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.5-1mdv2008.1
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 2.5-1mdv2007.0
+ Revision: 132707
- fix datadir path
- New version 2.5
- Import libagg

* Sat Jul 22 2006 Laurent MONTEL <lmontel@mandriva.com> 2.3-6
- Rebuild

* Mon Jun 19 2006 Laurent MONTEL <lmontel@mandriva.com> 2.3-5
- Fix missing build requires

* Thu May 18 2006 Laurent MONTEL <lmontel@mandriva.com> 2.3-4mdk
- Rebuild

* Mon Jan 23 2006 Laurent MONTEL <lmontel@mandriva.com> 2.3-3mdk
- Add missing build requires

* Fri Dec 02 2005 Laurent MONTEL <lmontel@mandriva.com> 2.3-2mdk
- Fix provides

* Tue Nov 22 2005 Laurent MONTEL <lmontel@mandriva.com> 2.3-1mdk
- initial spec file created

